# HG changeset patch
# Node ID 0b483f227502
# Parent  9e78b5799658
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -812,7 +812,9 @@
 		* pidgin_check_if_dir
 		* PidginConversation.sg
 		* PidginConvPlacementFunc
+		* pidgin_conv_get_tab_at_xy
 		* pidgin_conv_get_tab_icon, use PidginPresenceIcon instead.
+		* pidgin_conv_get_window
 		* pidgin_conv_is_hidden
 		* pidgin_conv_placement_get_name
 		* pidgin_conv_placement_add_fnc
@@ -821,10 +823,29 @@
 		* pidgin_conv_placement_set_current_func
 		* pidgin_conv_placement_get_current_func
 		* pidgin_conv_update_buddy_icon
+		* PidginConvWindow
+		* pidgin_conv_window_add_gtkconv
+		* pidgin_conv_window_destroy
 		* pidgin_conv_window_first_chat
 		* pidgin_conv_window_first_im
+		* pidgin_conv_window_get_active_conversation
+		* pidgin_conv_window_get_active_gtkconv
+		* pidgin_conv_window_get_at_event
+		* pidgin_conv_window_get_gtkconv_at_index
+		* pidgin_conv_window_get_gtkconv_count
+		* pidgin_conv_window_get_gtkconvs
+		* pidgin_conv_window_has_focus
+		* pidgin_conv_window_hide
+		* pidgin_conv_window_is_active_conversation
 		* pidgin_conv_window_last_im
 		* pidgin_conv_window_last_chat
+		* pidgin_conv_window_new
+		* pidgin_conv_window_raise
+		* pidgin_conv_window_remove_gtkconv
+		* pidgin_conv_window_show
+		* pidgin_conv_window_switch_gtkconv
+		* pidgin_conv_windows_get_list
+		* pidgin_conversations_fill_menu
 		* pidgin_create_dialog, use pidgin_dialog_new instead.
 		* pidgin_create_small_button, use pidgin_close_button_new instead.
 		* pidgin_create_status_icon
diff --git a/pidgin/gtkconv.h b/pidgin/gtkconv.h
--- a/pidgin/gtkconv.h
+++ b/pidgin/gtkconv.h
@@ -70,8 +70,6 @@
 
 #include <purple.h>
 
-#include "gtkconvwin.h"
-
 /**************************************************************************
  * Structures
  **************************************************************************/
@@ -87,11 +85,7 @@
 	GList *convs;
 	GList *send_history;
 
-	PidginConvWindow *win;
-
 	GtkWidget *tab_cont;
-	GtkWidget *tabby;
-	GtkWidget *menu_tabby;
 
 	PurpleMessageFlags last_flags;
 	GtkWidget *history_sw;
@@ -100,12 +94,6 @@
 	GtkWidget *editor;
 	GtkWidget *entry;
 
-	GtkWidget *close; /* "x" on the tab */
-	GtkWidget *icon;
-	GtkWidget *tab_label;
-	GtkWidget *menu_icon;
-	GtkWidget *menu_label;
-
 	PidginUnseenState unseen_state;
 	guint unseen_count;
 
@@ -175,19 +163,6 @@
 pidgin_conversations_get_unseen_all(PidginUnseenState min_state, guint max_count);
 
 /**
- * pidgin_conversations_fill_menu:
- * @menu: Menu widget to add items to.
- * @convs: (element-type PurpleConversation): List of PurpleConversation to add to menu.
- *
- * Fill a menu with a list of conversations. Clicking the conversation
- * menu item will present that conversation to the user.
- *
- * Returns:       Number of conversations added to menu.
- */
-guint
-pidgin_conversations_fill_menu(GtkWidget *menu, GList *convs);
-
-/**
  * pidgin_conv_present_conversation:
  * @conv: The conversation.
  *
@@ -206,14 +181,6 @@
 gboolean pidgin_conv_attach_to_conversation(PurpleConversation *conv);
 
 /**
- * pidgin_conv_get_window:
- * @gtkconv: The GTK conversation.
- *
- * Returns: The window the conversation belongs to.
- */
-PidginConvWindow *pidgin_conv_get_window(PidginConversation *gtkconv);
-
-/**
  * pidgin_conv_new:
  * @conv: The conversation.
  *
@@ -221,19 +188,6 @@
  */
 void pidgin_conv_new(PurpleConversation *conv);
 
-/**
- * pidgin_conv_get_tab_at_xy:
- * @win:      The conversation window.
- * @x:        X-coordinate to look up.
- * @y:        Y-coordinate to look up.
- * @to_right: (out): Return address for a boolean which will be %TRUE if the
- *            coordinates are on the right side of the tab (or bottom in case of
- *            a vertical notebook), %FALSE otherwise.
- *
- * Returns: The tab index of a conversation in @win at (@x, @y).
- */
-int pidgin_conv_get_tab_at_xy(PidginConvWindow *win, int x, int y, gboolean *to_right);
-
 /**************************************************************************/
 /* GTK Conversations Subsystem                                            */
 /**************************************************************************/
@@ -261,6 +215,8 @@
  */
 void pidgin_conversations_uninit(void);
 
+void pidgin_conversation_detach(PurpleConversation *conv);
+
 G_END_DECLS
 
 #endif /* _PIDGIN_CONVERSATION_H_ */
